# Report QWeb Parameter

This module allows you to add new parameters on QWeb reports. Currently, we have defined a field maximum on a report and a validation of maximal and minimal size. It is useful on xml reports in order to validate length. XML are sometimes XSD dependant and we must validate its format. For example, in spanish facturae (http://www.facturae.gob.es/Paginas/Index.aspx), where length and format must be validated in several fields in order to send an invoice.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

1. Add a t-length attribute on report templates fields that will truncate the field
2. Add a t-minlength attribute on report template fields that will check the min length
3. Add a t-maxlength attribute on report template fields that will check the max length

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Creu Blanca

## Contributors

- Enric Tobella <etobella@creublanca.es>

- Tecnativa:

  > - Carlos Roca

- Iván Antón <ozono@ozonomultimedia.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/reporting-engine project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.